API ReferenceOperators
Get operator availability schedule
Returns an operator's canonical seven-day recurring availability schedule and timezone, including split and overnight ranges.
GET
/api/operators/{id}/scheduleReturns an operator's canonical seven-day recurring availability schedule and timezone, including split and overnight ranges. When no timezone is saved, the response uses UTC.
Endpoint requirements
- Credentials
- Use either
Bearer API keyorX-API-Key header. - Required scope
operators:read- Module
- Automation & API module (
api_access) - Organization and site scope
- Requests can access only resources owned by the authenticated organization. The API does not reveal whether an identifier belongs to another organization or site.
- Retry behavior
- Safe read: You can safely retry this read-only request after a transport failure. It does not change resource state.
Path Parameters
id*string
Resource identifier.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{ "schedule": { "days": { "monday": { "allDay": false, "ranges": [ { "start": "09:00", "end": "17:00" } ] }, "tuesday": { "allDay": false, "ranges": [ { "start": "09:00", "end": "17:00" } ] }, "wednesday": { "allDay": false, "ranges": [ { "start": "09:00", "end": "17:00" } ] }, "thursday": { "allDay": false, "ranges": [ { "start": "09:00", "end": "17:00" } ] }, "friday": { "allDay": false, "ranges": [ { "start": "09:00", "end": "17:00" } ] }, "saturday": { "allDay": false, "ranges": [] }, "sunday": { "allDay": false, "ranges": [] } } }, "timezone": "Europe/Warsaw"}Request examples
curl
curl --request GET \
'https://api.convor.io/api/operators/11111111-1111-4111-8111-111111111111/schedule' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...'JavaScript
const response = await fetch("https://api.convor.io/api/operators/11111111-1111-4111-8111-111111111111/schedule", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_..."
},
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?